config/routes.rb
Rails.application.routes.draw do
  root to:"static_pages#index"
  
  get 'sobre', to:"static_pages#sobre"

  get 'contato', to:"static_pages#contato"


end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
end

app/controllers/static_pages_controller.rb
class StaticPagesController < ApplicationController
    #função index
    def index
    @nome = "matheus"
    end

    def sobre
    
    end

    def contato
    
    end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/static_pages_helper.rb
module StaticPagesHelper
end

app/views/layouts/_footer.html.erb
<footer>
    <small>
      <%= link_to 'Lista de contatos. Todos os direitos reservados.', root_path %>
    </small>
  
    <nav>
      <ul>
        <li>
          <%= link_to 'Sobre', sobre_path %>
        </li>
        <li>
          <%= link_to 'Contato', contato_path %>
        </li>
      </ul>
    </nav>
  </footer>

app/views/layouts/_header.html.erb
<nav class="navbar navbar-inverse navbar-static-top">

    <div class="container-fluid">
      <div class="navbar-header">
        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#expanded-menu" aria-expanded=" false">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <%= link_to 'Contact List', root_url, class: 'navbar-brand' %>
      </div>
  
    <!-- Conteudo exibido em telas maiores e que serao escondidos em telas menores -->
    <div class="collapse navbar-collapse" id="expanded-menu">
      <ul class="nav navbar-nav">
  
        <li class="active">
          <a href="#">Nova Conta</a>
        </li>
  
      </ul>
  
      <ul class="nav navbar-nav navbar-right">
  
          <li>
            <%= link_to 'Entrar', '#' %>
          </li>
  
      </ul>
  
    </div>
  
    </div>
  
  </nav>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Listacontato</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
   
    <%= render 'layouts/header' %>

    <div class="container">
      <%= yield %>
      <%= render 'layouts/footer' %>
    </div>

   
    
  </body>
</html>

app/views/static_pages/contato.html.erb
<h1>Contato</h1>

<p>
    Para entra em contato:<br>
    email:<a href="matheusxtk@gmail.com">matheus bertoldo</a><br>
    instagram:<a href="@mathbert_">@mathbert_</a>
</p>

app/views/static_pages/index.html.erb
<div class="jumbotron">
    <h1>Lista de contatos</h1>
    <p>
        gerencie seus contatos em qualquer lugar!
    </p>
    <p>
        <%= link_to 'crie sua Conta', '#', class: 'btn btn-primary btn-lg' %>
    </p>
</div>

app/views/static_pages/sobre.html.erb
<h1>Sobre</h1>

<p>
    Criado com o intuido de aprender o básico de rails.
</p>